//---------------------------------------------------------------------------
#ifndef BayerH
#define BayerH
#include <vcl.h>
void __fastcall ConvertBayerBitmapLine_Mode1_GRBG(byte *pColorLine, byte *pUpperLine,
	byte *pLine, byte *pLowerLine, int bitmapWidth, int y);
void __fastcall ConvertBayerBitmapLine_Mode1_GBRG(byte *pColorLine, byte *pUpperLine,
	byte *pLine, byte *pLowerLine, int bitmapWidth, int y);
void __fastcall ConvertBayerBitmapLine_Mode1_RGGB(byte *pColorLine, byte *pUpperLine,
	byte *pLine, byte *pLowerLine, int bitmapWidth, int y);
void __fastcall ConvertBayerBitmapLine_Mode1_BGGR(byte *pColorLine, byte *pUpperLine,
	byte *pLine, byte *pLowerLine, int bitmapWidth, int y);
void __fastcall ConvertBayerBitmapLine_Mode2(byte *pColorLine, byte *pUpperLine2,
	byte *pUpperLine, byte *pLine, byte *pLowerLine, byte *pLowerLine2, int bitmapWidth, int y,
    byte *Conv_ColorRef);
void __fastcall ConvertBayerBitmapLine_Mode3_GBRG(byte *pColorLine, byte *pUpperLine2,
	byte *pUpperLine, byte *pLine, byte *pLowerLine, byte *pLowerLine2, int bitmapWidth, int y,
    byte *Conv_ColorRef);
void __fastcall ConvertBayerBitmapLine_Mode3_RGGB(byte *pColorLine, byte *pUpperLine2,
	byte *pUpperLine, byte *pLine, byte *pLowerLine, byte *pLowerLine2, int bitmapWidth, int y,
    byte *Conv_ColorRef);
void __fastcall ConvertBayerBitmapLine_Mode3_GRBG(byte *pColorLine, byte *pUpperLine2,
	byte *pUpperLine, byte *pLine, byte *pLowerLine, byte *pLowerLine2, int bitmapWidth, int y,
    byte *Conv_ColorRef);
void __fastcall ConvertBayerBitmapLine_Mode3_BGGR(byte *pColorLine, byte *pUpperLine2,
	byte *pUpperLine, byte *pLine, byte *pLowerLine, byte *pLowerLine2, int bitmapWidth, int y,
    byte *Conv_ColorRef);
void __fastcall Bayer_Conversion_GRBG(Graphics::TBitmap *ColorTBitmap, byte *bayerBitmap,		// grbg
	int bitmapWidth, int bitmapHeight, int conversionMode);
void __fastcall Bayer_Conversion_GBRG(Graphics::TBitmap *ColorTBitmap, byte *bayerBitmap,
	int bitmapWidth, int bitmapHeight, int conversionMode);
void __fastcall Bayer_Conversion_RGGB(Graphics::TBitmap *ColorTBitmap, byte *bayerBitmap,
	int bitmapWidth, int bitmapHeight, int conversionMode);
void __fastcall Bayer_Conversion_BGGR(Graphics::TBitmap *ColorTBitmap, byte *bayerBitmap,		// bggr
	int bitmapWidth, int bitmapHeight, int conversionMode);
void __fastcall Bayer_Conversion_To_ByteData(byte *colorBitmap, byte *bayerBitmap,		// grbg
	int bitmapWidth, int bitmapHeight, int conversionMode);
void __fastcall Bayer_Conversion_Merge(Graphics::TBitmap *ColorTBitmap, byte *bayerBitmap,
	int bitmapWidth, int bitmapHeight, int conversionMode);
//---------------------------------------------------------------------------
#endif
